<?
$ok=0;
$err='';
$sumbonus=0.01; // ставка бонуса
$url="www.wmz.net.ru/bonus.php";
$host = getenv("SERVER_NAME");
$bxod = getenv("HTTP_REFERER");//Откуда пришел
$ip=getenv("REMOTE_ADDR"); //IP
// проверяем с родного-ли хоста пришли данные
   if (!ereg("$host",$bxod))
      {
      echo "<HTML><HEAD></HEAD><body>";
      echo "<BR><BR><CENTER><B>Доступ отклонен!<BR>Бонус можно получить только с главной страницы <A HREF=http://$url>$url</A>";
      exit;
      }


if (($wmid_num<>'') and ($r_num<>''))
{
include("wm.inc");

$ok=0;
// Вызов сервисной функции модуля wm
list($status, $err) = CheckWMIDPurse($wmid_num, $r_num);

// Вывод результата
if ($status == -1)
{ $rr="<font color=red><b>Ошибка проверки: $err</b></font>"; }
elseif ($status ==  0)
{ $err="<font color=red><b>Указанного WM идентификатора не существует</b></font>"; }
elseif ($status ==  1)
{ $err="<font color=red><b>WM идентификатор существует, но он не имеет указанного R-кошелька</b></font>"; }
elseif ($status ==  2)
{ $ok=1; }
else { $err="<font color=red><b>Система занята. Попробуйте еще раз!</b></font>"; }

if ($ok=='1') {

  include "db.php";

  $dat=date("Y.m.d");
/*  $days=date("d");

  $d=@mysql_query("select dat from bonus LIMIT 1") or die ("Произошла ошибка!");
  $f=@mysql_fetch_array($d);
  $td=substr($f["dat"],8,9);
  if ($td<>$days) { @mysql_query("delete from bonus") or die ("Произошла ошибка!"); }
*/
  $check = true;
  $d=@mysql_query("select * from bonus where wm='$wmid_num'") or die ("Произошла ошибка!");
  while ($f = mysql_fetch_array ($d) ) { if ( $f["dat"] == $dat ) { $check = false; } }
  if ( $check == false )
  { $err="<font color=red><b>WMID $wmid_num получал сегодня бонус!</b></font>"; }
  else {
       $d=@mysql_query("select * from bonus where ip='$ip'") or die ("Произошла ошибка!");
       while ($f = mysql_fetch_array ($d) ) { if ( $f["dat"] == $dat ) { $check = false; } }
       if ( $check == false)
       { $err="<font color=red><b>С IP $ip бонус сегодня уже получен!</b></font>"; }
       else {
             $name = "bonus.txt";
             $fp = fopen($name, "r");
             while ( ! feof ($fp) ) {
                $zeile = fgets ($fp,1024);
                                }
            $aktuell=$zeile+1;
            fclose($fp);

            $fp2 = fopen($name, "w");
            fwrite($fp2,$aktuell);
            fclose($fp2);


            srand((double)microtime()*1000000);
            $trn_id  = rand(1, 100000000000000);
            $wmpurse = $r_num;
            $summ    = $sumbonus;
            $dsc     = "Бонус за посещение http://www.wmz.net.ru!";
            list($wmtrn_n, $err) = SCreate($wmpurse, $summ, $trn_id, $dsc);
            if ($wmtrn_n>0)
               {
                $d=@mysql_query("select * from bonus bonus WHERE 1 ORDER BY `id` DESC LIMIT 0, 5") or die ("Произошла ошибка!");
                $d=@mysql_fetch_array($d);
                $id=$d[id]+1;
                @mysql_query("insert into bonus (`id`, `dat`, `wm`, `RPurse`, `ip`) values ('$id', '$dat', '$wmid_num' , '$r_num' ,'$ip')");
                $err="<font color=green><b>Бонус в размере $sumbonus wm выплачен!</b></font>";
               }
            }

       }
       include "dbclose.php";
       $text=$err;
       include("result.php");


  }

        $name = "bonus.txt";
        $fp = fopen($name, "r");
        while ( ! feof ($fp) ) {
        $zeile = fgets ($fp,1024);
                                }
        $colbonus=$zeile+1;
        fclose($fp);
}
include "bonus1.txt";
$fl=fopen("bonus.txt", "r");
$frd=fgets($fl, 1024);
?>
<center>
<FORM action=bonus.php method=post>
<table cellpadding=0 cellspacing=0 border=0><tr><td width=340>
<td width=200 align=center><b>Бонус получили <font color=green><?echo $frd;?> чел.</font></b><br>
<table cellpadding=0 cellspacing=0 border=0 align=center><tr><td width=50 align=center>WMID</td>
<td width=120 align=center><INPUT maxLength=12 class="submit1" name=wmid_num size=13></td></tr>
<tr><td width=50 align=center>WMR</td><td width=120 align=center><INPUT maxLength=13 class="submit1" name=r_num size=13 value=R ></td></tr></table>
<table width=120 align=center><tr><td width=140></td><td align=center><INPUT name=Submit class="submit" type=submit value="Получить бонус!"></td></tr></table></td></tr></table>
</center>
<?
echo "</form>";